Package: org.grails.plugins.domain.support

## [Groovy] Class GormApiSupport

- org.grails.plugins.domain.support.GormApiSupport

- Helper class used in the case where there is not GORM API installed in the application to provide basic validation facility.

  deprecated:
    Will be removed in a future version of Grails
  Authors:
    Graeme Rocher
  Since:
    2.0

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `static org.grails.datastore.gorm.GormValidationApi` | `getGormValidationApi(org.grails.datastore.mapping.core.Datastore datastore, java.lang.Class cls, org.springframework.validation.Validator validator)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### static org.grails.datastore.gorm.GormValidationApi getGormValidationApi(org.grails.datastore.mapping.core.Datastore datastore, java.lang.Class cls, org.springframework.validation.Validator validator)